xine-lib: vdec_hw_h264_frame_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdec_hw_h264_frame_t Struct Reference

`#include <vdec_hw_h264.h>`

## Data Fields
void * | user_data
vdec_hw_h264_t * | vdec
int | profile
int | level
int | width
int | height
double | ratio
int64_t | pts
int | duration
int | flags
int | bad_frame
int | progressive_frame
int | top_field_first
int | color_matrix
int | num_ref_frames
const vdec_hw_h264_frame_info_t * | info

## Field Documentation

## ◆ bad_frame

int vdec_hw_h264_frame_t::bad_frame

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_frame_new(), _vdec_hw_h264_render(), and vdpau_h264_alter_frame_new().

## ◆ color_matrix

int vdec_hw_h264_frame_t::color_matrix

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_new().

## ◆ duration

int vdec_hw_h264_frame_t::duration

<< reordered from vdec_hw_info_h264_put_frame ()

Referenced by _vdec_hw_h264_render(), vdpau_h264_alter_frame_new(), and vdpau_h264_alter_frame_render().

## ◆ flags

int vdec_hw_h264_frame_t::flags

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_new().

## ◆ height

int vdec_hw_h264_frame_t::height

Referenced by _vdec_hw_h264_render(), vdpau_h264_alter_frame_new(), and vdpau_h264_alter_frame_render().

## ◆ info

const vdec_hw_h264_frame_info_t* vdec_hw_h264_frame_t::info

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_render().

## ◆ level

int vdec_hw_h264_frame_t::level

Referenced by _vdec_hw_h264_render().

## ◆ num_ref_frames

int vdec_hw_h264_frame_t::num_ref_frames

<< (MPEG matrix # << 1) | fullrange

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_render().

## ◆ profile

int vdec_hw_h264_frame_t::profile

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_render().

## ◆ progressive_frame

int vdec_hw_h264_frame_t::progressive_frame

0 (OK), 1 (may be distorted by missing ref frames), 2 (decode error).

Referenced by _vdec_hw_h264_render(), and vdpau_h264_alter_frame_new().

## ◆ pts

int64_t vdec_hw_h264_frame_t::pts

Referenced by _vdec_hw_h264_render(), vdec_hw_h264_zero_pts(), vdpau_h264_alter_frame_new(), and vdpau_h264_alter_frame_ready().

## ◆ ratio

double vdec_hw_h264_frame_t::ratio

Referenced by _vdec_hw_h264_render(), vdpau_h264_alter_frame_new(), and vdpau_h264_alter_frame_render().

## ◆ top_field_first

int vdec_hw_h264_frame_t::top_field_first

Referenced by _vdec_hw_h264_decode_poc(), and vdpau_h264_alter_frame_ready().

## ◆ user_data

void* vdec_hw_h264_frame_t::user_data

Referenced by _vdec_hw_h264_frame_free(), _vdec_hw_h264_frame_link(), _vdec_hw_h264_frame_new(), vdpau_h264_alter_frame_delete(), vdpau_h264_alter_frame_new(), vdpau_h264_alter_frame_ready(), and vdpau_h264_alter_frame_render().

## ◆ vdec

vdec_hw_h264_t* vdec_hw_h264_frame_t::vdec

Referenced by _vdec_hw_h264_frame_free().

## ◆ width

int vdec_hw_h264_frame_t::width

Referenced by _vdec_hw_h264_render(), vdpau_h264_alter_frame_new(), and vdpau_h264_alter_frame_render().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdec_hw_h264.h